cURL
curl --request GET \
--url https://api.rownd.io/me/applications/{app}/data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rownd.io/me/applications/{app}/data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rownd.io/me/applications/{app}/data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rownd_user": "user_a7b53gwdaml5jt7t71442nt7",
"state": "enabled",
"auth_level": "verified",
"attributes": {
"rownd:app_variants": [
"app_variant_1",
"app_variant_2"
],
"myapp:subscription_status": [
"active"
],
"myapp:loyalty_points": [
"100"
]
},
"data": {
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
},
"verified_data": {
"email": "gary@foo.com",
"phone_number": "+19199993333"
},
"groups": [
{
"group": {
"id": "group_a3l1n2lsnb3q0xbul9enjnh7",
"name": "My Teammates",
"member_count": 0,
"app_id": "327677849595019856",
"admission_policy": "invite_only",
"meta": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "user_t6ftnnmw55pamuhfo9xvw0yl",
"created_by": "user_t6ftnnmw55pamuhfo9xvw0yl"
},
"member": {
"user_id": "user_fbylaq38591cghym5pabupj2",
"roles": [
"owner",
"editor"
],
"id": "member_dnn5g4e3q6aptail2gr43kpj",
"invited_by": "<string>",
"added_by": "<string>",
"profile": {
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
},
"group_id": "group_ig42thhwf4cig25o7t9jtlyu"
}
}
],
"meta": {
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"first_sign_in": "2023-11-07T05:31:56Z",
"first_sign_in_method": "<string>",
"last_sign_in": "2023-11-07T05:31:56Z",
"last_sign_in_method": "<string>",
"last_active": "2023-11-07T05:31:56Z",
"last_passkey_registration_prompt": "2023-11-07T05:31:56Z"
},
"connection_map": {}
}User Profiles
Retrieve a user profile
Retrieve user profile
GET
/
me
/
applications
/
{app}
/
data
cURL
Authorizations
Bearer authentication header of the form Bearer <token> where <token> is the user's Rownd JWT
Path Parameters
Rownd application ID
Response
200 - application/json
The current user's data collected/stored by an application.
The user's ID
Example:
"user_a7b53gwdaml5jt7t71442nt7"
The user's state
Available options:
enabled, disabled The user's authentication level
Example:
"verified"
User profile attributes
Show child attributes
Show child attributes
Example:
{
"rownd:app_variants": ["app_variant_1", "app_variant_2"],
"myapp:subscription_status": ["active"],
"myapp:loyalty_points": ["100"]
}
User profile data
Example:
{
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
}
User profile data that has been verified
Example:
{
"email": "gary@foo.com",
"phone_number": "+19199993333"
}
Groups in which the user is a member
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I